Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyMethodDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyExecutableMemberDoc, GroovyMemberDoc, GroovyProgramElementDoc, GroovyDoc

      public interface GroovyMethodDoc
      extends GroovyExecutableMemberDoc

  Describes a method in the Groovydoc model.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isAbstract()` Indicates whether this method is declared abstract.
    `` | `public GroovyClassDoc` | `overriddenClass()` Returns the class in which the overridden method is declared.
    `` | `public GroovyMethodDoc` | `overriddenMethod()` Returns the method that this method overrides.
    `` | `public GroovyType` | `overriddenType()` Returns the type that declares the method overridden by this method.
    `` | `public boolean` | `overrides(GroovyMethodDoc arg0)` Indicates whether this method overrides the supplied method.
    `` | `public GroovyType` | `returnType()` Returns the declared return type of this method.
    `` | `public void` | `setReturnType(GroovyType o)` Updates the declared return type of this method.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyExecutableMemberDoc` | `flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions`
    `interface GroovyMemberDoc` | `isSynthetic`
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public boolean isAbstract()

      Indicates whether this method is declared abstract.

      Returns:
        `true` if this method is abstract

    - #### public GroovyClassDoc overriddenClass()

      Returns the class in which the overridden method is declared.

      Returns:
        the overridden method's declaring class, or `null` if none exists

    - #### public GroovyMethodDoc overriddenMethod()

      Returns the method that this method overrides.

      Returns:
        the overridden method, or `null` if none exists

    - #### public GroovyType overriddenType()

      Returns the type that declares the method overridden by this method.

      Returns:
        the overridden type, or `null` if none exists

    - #### public boolean overrides(GroovyMethodDoc arg0)

      Indicates whether this method overrides the supplied method.

      Parameters:
        `arg0` - the candidate method
      Returns:
        `true` if this method overrides `arg0`

    - #### public GroovyType returnType()

      Returns the declared return type of this method.

      Returns:
        the return type

    - #### public void setReturnType(GroovyType o)

      Updates the declared return type of this method.

      Parameters:
        `o` - the return type to associate with this method